List themes

GET
https://api.datawrapper.de/v3/themes

Get a list of themes accessible by the authenticated user The returned theme objects do not include the full theme configuration. Requires scope chart:read.

Example Request

curl --request GET \
  --url 'https://api.datawrapper.de/v3/themes?limit=100&offset=0' \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>'# 3 more query parameters available — see below.

Query Parameters

NameTypeAllowed valuesRequiredDescription
limitinteger
0 or more
Default: 100
NoMaximum items to fetch. Useful for pagination.
offsetinteger
0 or more
Default: 0
NoNumber of items to skip. Useful for pagination.
deletedboolean
Default: false
No
workspacestringAny NoFilter by workspace slug.
teamIdstringAny NoFilter by team id.

Response

FieldTypeRequiredDescription
listobject[]No
totalintegerNo
nextstringNo